<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns:rich="http://richfaces.org/rich" xmlns:f="http://java.sun.com/jsf/core"
                xmlns:gri="http://java.sun.com/jsf/composite/gri"
                xmlns:g="http://www.ihe.net/gazelle" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:a4j="http://richfaces.org/a4j"
                xmlns="http://www.w3.org/1999/xhtml"
                template="/layout/template.xhtml">
    <ui:param name="ID" value="LPAT"/>
    <ui:define name="body">
        <h1>#{messages['net.ihe.gazelle.xdstar.ListOfPatients']}</h1>
        <h:form id="form">
            <gri:panel id="globalPanel">
                <f:facet name="header">#{messages['net.ihe.gazelle.xdstar.ListOfPatients']}</f:facet>
                <h:outputText value="#{messages['net.ihe.gazelle.xdstar.ThisIsTheListOfAllPatientsInTheDatabase']}"/>
                <br/>
                <h:outputText
                        value="#{messages['net.ihe.gazelle.xdstar.ThesePatientsAreUsedByTheGazelleXCPDResponderToR']}"/>
                <br/>
                <h:outputText value="#{messages['net.ihe.gazelle.xdstar.TheDocumentationOfTheXCPDResponderCanBeFound']} "/>
                <h:outputLink value="http://gazelle.ihe.net/content/xcpd-responding-gateway-user-manual"
                              target="_blank">
                    <h:outputText value="#{messages['xdr.allmessages.text4']}"/>
                </h:outputLink>
                <br/>
                <br/>
                <h:outputText
                        value="#{messages['net.ihe.gazelle.xdstar.UsersCanAlsoUseAPatientFromThisListToSubmitADocu']} "/>
                <h:outputText
                        value="#{messages['net.ihe.gazelle.xdstar.EpSOSRequestsThatCanBeDoneAroundThesesPatientsAr']}"/>
                <br/>
                <h:outputText
                        value="#{messages['net.ihe.gazelle.xdstar.ToCreateThePatientIdFromAttributesDescribingAPat']}"/>
                <br/>
                <h:outputText
                        value="#{messages['net.ihe.gazelle.xdstar.ForExampleIfThePatientIdentifierIs6427404ThePati']}"/>
                <br/>
                <h:outputText
                        value="#{messages['net.ihe.gazelle.xdstar.TheDocumentationOfTheGazelleRegistryRepositoryFo']} "/>
                <h:outputLink value="http://gazelle.ihe.net/epSOS-doc/" target="_blank">
                    <h:outputText value="#{messages['xdr.allmessages.text4']}"/>
                </h:outputLink>
                <br/>
                <a4j:commandButton id="addperso" value="#{messages['net.ihe.gazelle.xdstar.AddNewPerson']}" styleClass="gzl-btn-green"
                                   actionListener="#{patientManagerBean.initializeSelectedPersonInfo()}"
                                   oncomplete="jq162('#EditSelectedPerson').modal('show');"
                                   render="EditSelectedPersonForm,EditSelectedPerson"
                                   execute="@this" rendered="#{identity.loggedIn}"/>
                <br/>
                <rich:dataTable id="PatientsTable" var="currentPersonInfo"
                                value="#{patientManagerBean.getAllPersonInfo()}"
                                rows="#{dataScrollerMemory.numberOfResultsPerPage}"
                                render="ds">
                    <g:column id="PatientIdColumn" sortBy="#{'personInfoId'}">
                        <ui:define name="header">#{messages['net.ihe.gazelle.simulators.Id']}</ui:define>
                        <h:outputText value="#{currentPersonInfo.personInfoId}"/>
                    </g:column>
                    <g:column sortBy="#{'piIdentifier'}" filterBy="#{'piIdentifier'}">
                        <ui:define name="header">#{messages['net.ihe.gazelle.xdstar.PatientIdentifier']}</ui:define>
                        <h:outputText value="#{currentPersonInfo.piIdentifier}"/>
                    </g:column>
                    <g:column id="FirstNameColumn" sortBy="#{'fname'}">
                        <ui:define name="header">#{messages['net.ihe.gazelle.xdstar.FirstName']}</ui:define>
                        <h:outputText value="#{currentPersonInfo.fname}"/>
                    </g:column>
                    <g:column id="LastNameColumn" sortBy="#{'lname'}">
                        <ui:define name="header">#{messages['net.ihe.gazelle.xdstar.LastName']}</ui:define>
                        <h:outputText value="#{currentPersonInfo.lname}"/>
                    </g:column>
                    <g:column id="PatientBdateColumn">
                        <ui:define name="header">#{messages['net.ihe.gazelle.xdstar.BirthDate']}</ui:define>
                        <h:outputText value="#{currentPersonInfo.dob}">
                            <s:convertDateTime type="both" pattern="MM/dd/yyyy"/>
                        </h:outputText>
                    </g:column>
                    <g:column id="GenderColumn" sortBy="#{'gender'}">
                        <ui:define name="header">#{messages['net.ihe.gazelle.xdstar.Gender_2']}</ui:define>
                        <h:outputText value="#{currentPersonInfo.gender}"/>
                    </g:column>
                    <g:column id="RaceColumn">
                        <ui:define name="header">#{messages['net.ihe.gazelle.xdstar.Race']}</ui:define>
                        <h:outputText value="#{currentPersonInfo.race.raceCd}"/>
                    </g:column>
                    <g:column id="ReligionColumn">
                        <ui:define name="header">#{messages['net.ihe.gazelle.xdstar.Religion']}</ui:define>
                        <h:outputText value="#{currentPersonInfo.religionType.religionTypeCd}"/>
                    </g:column>
                    <g:column id="ActionColumn">
                        <ui:define name="header">#{messages['users.Action']}</ui:define>
                        <a4j:commandLink action="#{patientManagerBean.setSelectedPersonInfo(currentPersonInfo)}"
                                         oncomplete="jq162('#ViewSelectedPerson').modal('show');"
                                         render="ViewSelectedPersonForm,ViewSelectedPerson">
                            <s:span styleClass="gzl-icon-search"/>
                        </a4j:commandLink>
                        <a4j:commandLink id="editPers"
                                         action="#{patientManagerBean.setSelectedPersonInfo(currentPersonInfo)}"
                                         oncomplete="jq162('#EditSelectedPerson').modal('show');"
                                         render="EditSelectedPersonForm,EditSelectedPerson"
                                         rendered="#{s:hasRole('admin_role') || s:hasRole('monitor_role')}">
                            <s:span styleClass="gzl-icon-pencil"/>
                        </a4j:commandLink>
                        <a4j:commandLink id="deleteActionImagePatient"
                                         action="#{patientManagerBean.setSelectedPersonInfo(currentPersonInfo)}"
                                         oncomplete="jq162('#DeleteSelectedPerson').modal('show');"
                                         render="DeleteSelectedPersonForm,DeleteSelectedPerson"
                                         rendered="#{s:hasRole('admin_role') || s:hasRole('monitor_role')}">
                            <s:span styleClass="gzl-icon-trash-o "/>
                        </a4j:commandLink>
                    </g:column>
                    <f:facet name="footer">
                        <ui:include src="/util/datatableFooter.xhtml">
                            <ui:param name="dataScrollerId" value="ds"/>
                            <ui:param name="dataTableId" value="PatientsTable"/>
                        </ui:include>
                    </f:facet>
                </rich:dataTable>
            </gri:panel>
        </h:form>

        <!--  xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx -->
        <!-- Delete selected Person-->
        <!--  xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx -->
        <h:form id="DeleteSelectedPersonForm">
            <gri:popupPanel id="DeleteSelectedPerson">
                <f:facet name="header">
                    <h:outputText value="#{messages['net.ihe.gazelle.xdstar.DeletePerson']}"/>
                </f:facet>
                <f:facet name="footer">
                    <a4j:commandButton value="#{messages['gazelle.xca.initgw.Cancel']}"
                                       onclick="jq162('#DeleteSelectedPerson').modal('hide')"
                                       styleClass="gzl-btn" execute="@this"/>
                    <a4j:commandButton id="deleteSelectedPersonbutton"
                                       value="#{messages['net.ihe.gazelle.xdstar.ConfirmDeletePerson']}" styleClass="gzl-btn-red"
                                       action="#{patientManagerBean.deleteSelectedPersonInfo()}"
                                       onclick="jq162('#DeleteSelectedPerson').modal('hide');"
                                       execute="@this" render="form,messageDecoration"/>
                </f:facet>
                <s:decorate id="confirmationDeleteSelectedPerson"
                            rendered="#{patientManagerBean.selectedPersonInfo != null}">
                    <h:outputText value="#{messages['net.ihe.gazelle.xdstar.AreYouSureYouWantToDeleteThisPerson']}"/>
                </s:decorate>
            </gri:popupPanel>
        </h:form>
        <!--  xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx -->
        <!-- Delete all Persons-->
        <!--  xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx -->
        <h:form id="DeleteAllPersonsForm">
            <gri:popupPanel id="DeleteAllPersons">
                <f:facet name="header">
                    <h:outputText value="#{messages['net.ihe.gazelle.xdstar.DeleteAllPatients']}"/>
                </f:facet>
                <f:facet name="footer">
                    <a4j:commandButton value="#{messages['gazelle.xca.initgw.Cancel']}"
                                       onclick="jq162('#DeleteAllPersons').modal('hide')"
                                       styleClass="gzl-btn" execute="@this"/>
                    <a4j:commandButton id="deletePersonbutton"
                                       value="#{messages['net.ihe.gazelle.xdstar.ConfirmDeleteAllPersons']}" styleClass="gzl-btn-red"
                                       actionListener="#{patientManagerBean.deleteAllPatients()}"
                                       onclick="document.body.style.cursor='progress';jq162('#DeleteAllPersons').modal('hide');"
                                       render="form,messageDecoration"/>
                </f:facet>
                <s:decorate id="confirmationDeleteAllPersons">
                    <h:outputText value="#{messages['net.ihe.gazelle.xdstar.AreYouSureYouWantToDeleteAllPatients']}"/>
                </s:decorate>
            </gri:popupPanel>
        </h:form>
        <!--  xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx -->
        <!-- edit selected person -->
        <!--  xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx -->
        <h:form id="EditSelectedPersonForm">
            <gri:popupPanel id="EditSelectedPerson" bodyStyleClass="gzl-select-modal-overflow-visible">
                <f:facet name="header">
                    <h:outputText value="#{messages['net.ihe.gazelle.xdstar.EditSelectedPerson']}"/>
                </f:facet>
                <f:facet name="footer">
                    <a4j:commandButton value="#{messages['gazelle.xca.initgw.Cancel']}"
                                       onclick="jq162('#EditSelectedPerson').modal('hide')"
                                       styleClass="gzl-btn" execute="@this" render="form"/>
                    <a4j:commandButton id="savebut" value="#{messages['net.ihe.gazelle.xdstar.SavePerson']}" styleClass="gzl-btn-green"
                                       actionListener="#{patientManagerBean.saveSelectedPersonInfo()}"
                                       onclick="document.body.style.cursor='progress';jq162('#EditSelectedPerson').modal('hide');"
                                       render="EditSelectedPersonForm,form,messageDecoration"/>
                </f:facet>
                <s:div id="editdec" rendered="#{patientManagerBean.selectedPersonInfo != null}">
                    <a4j:region>
                        <f:subview id="edit1">
                            <ui:include src="/patients/editPatientTabPanel.xhtml">
                                <ui:param name="personInfo" value="#{patientManagerBean.selectedPersonInfo}"/>
                            </ui:include>
                        </f:subview>
                    </a4j:region>
                </s:div>
            </gri:popupPanel>
        </h:form>
        <!--  xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx -->
        <!-- view selected person -->
        <!--  xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx -->
        <h:form id="ViewSelectedPersonForm">
            <gri:popupPanel id="ViewSelectedPerson">
                <f:facet name="header">
                    <h:outputText value="#{messages['net.ihe.gazelle.xdstar.ViewSelectedPerson']}"/>
                </f:facet>
                <f:facet name="footer">
                    <a4j:commandButton value="#{messages['gazelle.xca.initgw.Cancel']}"
                                       onclick="jq162('#ViewSelectedPerson').modal('hide')"
                                       styleClass="gzl-btn" execute="@this" render="form"/>
                </f:facet>
                <s:div id="viewdec" rendered="#{patientManagerBean.selectedPersonInfo != null}">
                    <a4j:region>
                        <f:subview id="edit2">
                            <ui:include src="/patients/viewPatientTabPanel.xhtml">
                                <ui:param name="personInfo" value="#{patientManagerBean.selectedPersonInfo}"/>
                            </ui:include>
                        </f:subview>
                    </a4j:region>
                </s:div>
            </gri:popupPanel>
        </h:form>
    </ui:define>
</ui:composition>
